#define TWI_INTERRUPT P0I0|P0I1|P0I2|P0I4

#define TWIDCNT1 BIT_6
#define TWIDCNT2 BIT_7


//Register Addresses 

#define LT_R 0x00  	//Local Temperature - READ

#define LHS_W 0x0B 	// Local Temperature HIGH Limit -WRITE
#define LHS_R 0x05 	// Local Temperature HIGH Limit -READ

#define LLS_W 0x0C 	// Local Temperature HIGH Limit -WRITE
#define LLS_R 0x06 	// Local Temperature HIGH Limit -READ


#define RHSHB_W 0x0D //Remote/External Temperature HIGH Limit HIGH Byte -WRITE	
#define RHSHB_R 0x07 //Remote/External Temperature HIGH Limit HIGH Byte -READ	
#define RHSLB_W 0x13 //Remote/External Temperature HIGH Limit LOW Byte -WRITE	
#define RHSLB_R 0x13 //Remote/External Temperature HIGH Limit Low Byte -READ	

#define RLSHB_W 0x0E //Remote/External Temperature HIGH Limit HIGH Byte -WRITE	
#define RLSHB_R 0x08 //Remote/External Temperature HIGH Limit HIGH Byte -READ	
#define RLSLB_W 0x14 //Remote/External Temperature HIGH Limit LOW Byte -WRITE	
#define RLSLB_R 0x14 //Remote/External Temperature HIGH Limit Low Byte -READ	
 
#define CONFIG_W 0x09 // Configuration Register - WRITE
#define CONFIG_R 0x03 // Configuration Register - READ 

#define RCS_W	0x19  //Remote /THERM Limit -WRITE
#define RCS_R	0x19  //Remote /THERM Limit -READ

#define LCS_W	0x20  //Local /THERM Limit -WRITE
#define LCS_R	0x20  //Local /THERM Limit -READ


#define SR_R 0x02  	 //Status Register -READ	

#define RTHB_R 0x01  //Remote temperature Value HIGH Byte -READ
#define RTLB_R 0x10  //Remote temperature Value HIGH Byte -WRITE

#define RTOHB_R 0x11 //Remote temperature Offset HIGH Byte - READ
#define RTOHB_W 0x11 //Remote temperature Offset HIGH Byte - WRITE

#define HYSTERISIS_R  0x21//THERM Hysterisis value -READ
#define HYSTERISIS_W  0x21//THERM Hysterisis value -WRITE

#define CR_W 0x0A //Conversion Rate - WRITE
#define CR_R 0x04 //Conversion Rate - READ
 

//Status register  bit definitions

#define ADC_BUSY 0x80
#define LHIGH    0x40
#define LLOW	 0x20
#define RHIGH    0x10
#define RLOW	 0x08
#define OPEN 	 0x04
#define RTHRM    0x02
#define LTHRM    0x01


//Function declrations

void Init_SRU();

void Init_TWI();

void Init_PLL();

void ISR();

void read_temperature();

void write_register(int add, int data);

int  read_register(int add);

void Alert_ISR();


//Temperature Limit Settings
#define REMOTE_OFFSET 			0	
#define LOCAL_THERM_LIMIT 		40
#define REMOTE_THERM_LIMIT  	40
#define THERM_HYSTERISIS 		10
#define REMOTE_ALERT_HIGH_LIMIT 50
#define REMOTE_ALERT_LOW_LIMIT  10
#define LOCAL_ALERT_HIGH_LIMIT  50
#define LOCAL_ALERT_LOW_LIMIT   10



		

